/// @file

#include <map>
#include <string>

	/// ABC
namespace abc
{
	typedef std::map<std::string, unsigned> IndexMap; ///< Map of std::string vs unsigned
	typedef std::map<std::string, std::string> NameMap; ///< Map of std::string vs std::string

	class CsvReader;

		/// Whatever
	struct What
	{
		static What read(CsvReader& reader, const NameMap& map);
		static What read(CsvReader& reader, const IndexMap& map);
	};

}
